Intermittent e10s browser_storage_values.js | Test timed out

RESOLVED WORKSFORME

Status

P3
normal
RESOLVED WORKSFORME
3 years ago
4 months ago

People

(Reporter: RyanVM, Unassigned)

Tracking

(Blocks: 1 bug, {intermittent-failure})

unspecified
intermittent-failure

Firefox Tracking Flags

(e10s+)

Details

(Reporter)

Description

3 years ago
https://treeherder.mozilla.org/logviewer.html#?job_id=17571223&repo=try

 14:23:32     INFO -  8674 INFO TEST-UNEXPECTED-FAIL | devtools/client/storage/test/browser_storage_sidebar.js | Uncaught exception - at :0 - Error: operation not possible on dead CPOW
 14:23:32     INFO -  Stack trace:
 14:23:32     INFO -      Handler.prototype.process@resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:937:23
 14:23:32     INFO -      this.PromiseWalker.walkerLoop@resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:816:7
 14:23:32     INFO -      Promise*this.PromiseWalker.scheduleWalkerLoop@resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:747:11
 14:23:32     INFO -      this.PromiseWalker.schedulePromise@resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:779:7
 14:23:32     INFO -      this.PromiseWalker.completePromise@resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:714:7
 14:23:32     INFO -      onload@chrome://mochitests/content/browser/devtools/client/storage/test/head.js:73:5
 14:23:32     INFO -      EventTargetParent.dispatch/<@resource://gre/modules/RemoteAddonsParent.jsm:566:15
 14:23:32     INFO -      Prefetcher.withPrefetching@resource://gre/modules/Prefetcher.jsm:460:14
 14:23:32     INFO -      EventTargetParent.dispatch@resource://gre/modules/RemoteAddonsParent.jsm:562:11
 14:23:32     INFO -      EventTargetParent.receiveMessage@resource://gre/modules/RemoteAddonsParent.jsm:510:9
 14:23:32     INFO -      Handler.prototype.process@resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:937:23
 14:23:32     INFO -      this.PromiseWalker.walkerLoop@resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:816:7
 14:23:32     INFO -      Promise*this.PromiseWalker.scheduleWalkerLoop@resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:747:11
 14:23:32     INFO -      this.PromiseWalker.schedulePromise@resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:779:7
 14:23:32     INFO -      this.PromiseWalker.completePromise@resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:714:7
 14:23:32     INFO -      onload@chrome://mochitests/content/browser/devtools/client/storage/test/head.js:73:5
 14:23:32     INFO -      EventTargetParent.dispatch/<@resource://gre/modules/RemoteAddonsParent.jsm:566:15
 14:23:32     INFO -      Prefetcher.withPrefetching@resource://gre/modules/Prefetcher.jsm:460:14
 14:23:32     INFO -      EventTargetParent.dispatch@resource://gre/modules/RemoteAddonsParent.jsm:562:11
 14:23:32     INFO -      EventTargetParent.receiveMessage@resource://gre/modules/RemoteAddonsParent.jsm:510:9
 14:23:32     INFO -      Tester_execTest@chrome://mochikit/content/browser-test.js:786:9
 14:23:32     INFO -      Tester.prototype.nextTest</<@chrome://mochikit/content/browser-test.js:706:7
 14:23:32     INFO -      SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<@chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:741:59
 14:23:32     INFO -      Tester_execTest@chrome://mochikit/content/browser-test.js:786:9
 14:23:32     INFO -      Tester.prototype.nextTest</<@chrome://mochikit/content/browser-test.js:706:7
 14:23:32     INFO -      SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<@chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:741:59
 14:23:32     INFO -      Tester_execTest@chrome://mochikit/content/browser-test.js:786:9
 14:23:32     INFO -      Tester.prototype.nextTest</<@chrome://mochikit/content/browser-test.js:706:7
 14:23:32     INFO -      SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<@chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:741:59
 14:23:32     INFO -  8675 INFO Leaving test bound
 14:23:32     INFO -  MEMORY STAT | vsize 20972946MB | residentFast 673MB
 14:23:32     INFO -  8676 INFO TEST-OK | devtools/client/storage/test/browser_storage_sidebar.js | took 2657ms
 14:23:32     INFO -  8677 INFO TEST-START | devtools/client/storage/test/browser_storage_values.js
 14:24:16     INFO -  Not taking screenshot here: see the one that was previously logged
 14:24:16     INFO -  8678 INFO checking window state
 14:24:16     INFO -  8679 INFO Entering test bound
 14:24:16     INFO -  8680 INFO Adding a new tab with URL: 'http://test1.example.org/browser/devtools/client/storage/test/storage-complex-values.html'
 14:24:16     INFO -  8681 INFO URL 'http://test1.example.org/browser/devtools/client/storage/test/storage-complex-values.html' loading complete
 14:24:16     INFO -  8682 INFO TEST-UNEXPECTED-FAIL | devtools/client/storage/test/browser_storage_values.js | Test timed out -
 14:24:17     INFO -  MEMORY STAT | vsize 20972963MB | residentFast 686MB
14:24:17 INFO - 8683 INFO TEST-OK | devtools/client/storage/test/browser_storage_values.js | took 45461ms
(Reporter)

Updated

3 years ago
See Also: → bug 1229272
18 automation job failures were associated with this bug yesterday.

Repository breakdown:
* try: 11
* mozilla-inbound: 6
* fx-team: 1

Platform breakdown:
* windows8-64: 11
* windows7-32: 7

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1253511&startday=2016-03-05&endday=2016-03-05&tree=all
38 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 21
* try: 11
* fx-team: 5
* mozilla-central: 1

Platform breakdown:
* windows7-32: 27
* windows8-64: 11

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1253511&startday=2016-02-29&endday=2016-03-06&tree=all

Updated

3 years ago
tracking-e10s: --- → +
5 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* fx-team: 3
* mozilla-inbound: 1
* mozilla-central: 1

Platform breakdown:
* linux32: 3
* windows7-32: 1
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1253511&startday=2016-03-07&endday=2016-03-13&tree=all
A lot of these dead CPOW issues were fixed a few months ago and nothing for 3 months.
Status: NEW → RESOLVED
Last Resolved: 2 years ago
Priority: -- → P3
Resolution: --- → WORKSFORME
3 failures in 892 pushes (0.003 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 3

Platform breakdown:
* windows8-64: 1
* osx-10-10: 1
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1253511&startday=2017-06-19&endday=2017-06-25&tree=all

Updated

4 months ago
Product: Firefox → DevTools
You need to log in before you can comment on or make changes to this bug.